libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::Object Class Reference
[Miscellaneous]

The base class for many of the libgda objects. More...

Inheritance diagram for Gnome::Gda::Object:

[legend]
List of all members.

## Public Member Functions

void | block_changed ()
| No "changed" signal will be emitted.
Glib::ustring | get_description () const
| Fetch the description of the GdaObject object.
Glib::RefPtr<const Dict> | get_dict () const
| Fetch the corresponding Gda::Dict object.
Glib::RefPtr<Dict> | get_dict ()
| Fetch the corresponding Gda::Dict object.
Glib::ustring | get_id () const
| Fetch the string ID of the GdaObject object.
Glib::ustring | get_name () const
| Fetch the name of the GdaObject object.
Glib::ustring | get_owner () const
| Fetch the owner of the GdaObject object.
const GdaObject* | gobj () const
| Provides access to the underlying C GObject.
GdaObject* | gobj ()
| Provides access to the underlying C GObject.
GdaObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_description (const Glib::ustring& descr)
| Sets the description of the GdaObject object.
void | set_id (const Glib::ustring& strid)
| Sets the string ID of the gdaobj object.
void | set_name (const Glib::ustring& name)
| Sets the name of the GdaObject object.
void | set_owner (const Glib::ustring& owner)
| Sets the owner of the GdaObject object.
void | signal_emit_changed ()
| Force emission of the "changed" signal, except if block_changed() has been called.
Glib::SignalProxy0<void> | signal_signal_changed ()

Prototype:
  `void on_my_signal_changed()`

void | unblock_changed ()
| The "changed" signal will again be emitted.
virtual | ~Object ()

## Static Public Member Functions

static Glib::RefPtr<Object> | create ()

## Protected Member Functions

| Object ()
virtual void | on_signal_changed ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::Object> | wrap (GdaObject* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The base class for many of the libgda objects.

## Constructor & Destructor Documentation

virtual Gnome::Gda::Object::~Object | ( |  | ) | `[virtual]`

Reimplemented from Glib::Object.

Gnome::Gda::Object::Object | ( |  | ) | `[protected]`

Reimplemented from Glib::Object.

## Member Function Documentation

void Gnome::Gda::Object::block_changed | ( |  | ) |

No "changed" signal will be emitted.

static Glib::RefPtr<Object> Gnome::Gda::Object::create | ( |  | ) | `[static]`

Reimplemented in Gnome::Gda::DataModelFilterSQL, Gnome::Gda::DictAggregate, Gnome::Gda::DictDatabase, Gnome::Gda::DictTable, Gnome::Gda::DictType, Gnome::Gda::HandlerBin, Gnome::Gda::HandlerBoolean, Gnome::Gda::HandlerNumerical, Gnome::Gda::HandlerString, Gnome::Gda::HandlerTime, Gnome::Gda::HandlerType, and Gnome::Gda::Parameter.

Glib::ustring Gnome::Gda::Object::get_description | ( |  | ) | const

Fetch the description of the GdaObject object.

Returns:
  The object's description.

Glib::RefPtr<const Dict> Gnome::Gda::Object::get_dict | ( |  | ) | const

Fetch the corresponding Gda::Dict object.

Returns:
  The Gda::Dict object to which gdaobj is attached to.

Reimplemented in Gnome::Gda::DictDatabase.

Glib::RefPtr<Dict> Gnome::Gda::Object::get_dict | ( |  | ) |

Fetch the corresponding Gda::Dict object.

Returns:
  The Gda::Dict object to which gdaobj is attached to.

Reimplemented in Gnome::Gda::DictDatabase.

Glib::ustring Gnome::Gda::Object::get_id | ( |  | ) | const

Fetch the string ID of the GdaObject object.

Returns:
  The id.

Glib::ustring Gnome::Gda::Object::get_name | ( |  | ) | const

Fetch the name of the GdaObject object.

Returns:
  The object's name.

Glib::ustring Gnome::Gda::Object::get_owner | ( |  | ) | const

Fetch the owner of the GdaObject object.

Returns:
  The object's owner.

const GdaObject* Gnome::Gda::Object::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gnome::Gda::DataModelArray, Gnome::Gda::DataModelFilterSQL, Gnome::Gda::DataModelHash, Gnome::Gda::DataModelImport, Gnome::Gda::DataModelQuery, Gnome::Gda::DataModelRow, Gnome::Gda::DataProxy, Gnome::Gda::DictAggregate, Gnome::Gda::DictConstraint, Gnome::Gda::DictDatabase, Gnome::Gda::DictField, Gnome::Gda::DictFunction, Gnome::Gda::DictTable, Gnome::Gda::DictType, Gnome::Gda::HandlerBin, Gnome::Gda::HandlerBoolean, Gnome::Gda::HandlerNumerical, Gnome::Gda::HandlerString, Gnome::Gda::HandlerTime, Gnome::Gda::HandlerType, Gnome::Gda::Parameter, Gnome::Gda::Query, Gnome::Gda::QueryCondition, Gnome::Gda::QueryField, Gnome::Gda::QueryFieldAgg, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, Gnome::Gda::QueryFieldValue, Gnome::Gda::QueryJoin, Gnome::Gda::QueryObject, and Gnome::Gda::QueryTarget.

GdaObject* Gnome::Gda::Object::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gnome::Gda::DataModelArray, Gnome::Gda::DataModelFilterSQL, Gnome::Gda::DataModelHash, Gnome::Gda::DataModelImport, Gnome::Gda::DataModelQuery, Gnome::Gda::DataModelRow, Gnome::Gda::DataProxy, Gnome::Gda::DictAggregate, Gnome::Gda::DictConstraint, Gnome::Gda::DictDatabase, Gnome::Gda::DictField, Gnome::Gda::DictFunction, Gnome::Gda::DictTable, Gnome::Gda::DictType, Gnome::Gda::HandlerBin, Gnome::Gda::HandlerBoolean, Gnome::Gda::HandlerNumerical, Gnome::Gda::HandlerString, Gnome::Gda::HandlerTime, Gnome::Gda::HandlerType, Gnome::Gda::Parameter, Gnome::Gda::Query, Gnome::Gda::QueryCondition, Gnome::Gda::QueryField, Gnome::Gda::QueryFieldAgg, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, Gnome::Gda::QueryFieldValue, Gnome::Gda::QueryJoin, Gnome::Gda::QueryObject, and Gnome::Gda::QueryTarget.

GdaObject* Gnome::Gda::Object::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented in Gnome::Gda::DataModelArray, Gnome::Gda::DataModelFilterSQL, Gnome::Gda::DataModelHash, Gnome::Gda::DataModelImport, Gnome::Gda::DataModelQuery, Gnome::Gda::DataModelRow, Gnome::Gda::DataProxy, Gnome::Gda::DictAggregate, Gnome::Gda::DictConstraint, Gnome::Gda::DictDatabase, Gnome::Gda::DictField, Gnome::Gda::DictFunction, Gnome::Gda::DictTable, Gnome::Gda::DictType, Gnome::Gda::HandlerBin, Gnome::Gda::HandlerBoolean, Gnome::Gda::HandlerNumerical, Gnome::Gda::HandlerString, Gnome::Gda::HandlerTime, Gnome::Gda::HandlerType, Gnome::Gda::Parameter, Gnome::Gda::Query, Gnome::Gda::QueryCondition, Gnome::Gda::QueryField, Gnome::Gda::QueryFieldAgg, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, Gnome::Gda::QueryFieldValue, Gnome::Gda::QueryJoin, Gnome::Gda::QueryObject, and Gnome::Gda::QueryTarget.

virtual void Gnome::Gda::Object::on_signal_changed | ( |  | ) | `[protected, virtual]`

void Gnome::Gda::Object::set_description | ( | const Glib::ustring & | descr | ) |

Sets the description of the GdaObject object.

If the description is changed, then the "descr_changed" signal is emitted.

void Gnome::Gda::Object::set_id | ( | const Glib::ustring & | strid | ) |

Sets the string ID of the gdaobj object.

The string ID must be unique for all the objects related to a given Gda::Dict object.

Parameters:

  | strid | The string Identifier.

void Gnome::Gda::Object::set_name | ( | const Glib::ustring & | name | ) |

Sets the name of the GdaObject object.

If the name is changed, then the "name_changed" signal is emitted.

void Gnome::Gda::Object::set_owner | ( | const Glib::ustring & | owner | ) |

Sets the owner of the GdaObject object.

If the owner is changed, then the "owner_changed" signal is emitted.

void Gnome::Gda::Object::signal_emit_changed | ( |  | ) |

Force emission of the "changed" signal, except if block_changed() has been called.

Glib::SignalProxy0< void > Gnome::Gda::Object::signal_signal_changed | ( |  | ) |

Prototype:
  `void on_my_signal_changed()`

void Gnome::Gda::Object::unblock_changed | ( |  | ) |

The "changed" signal will again be emitted.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::Object> wrap | ( | GdaObject * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- object.h